CompositeRuntimeResourceReport (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.CompositeRuntimeResourceReport class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class CompositeRuntimeResourceReport

    java.lang.Object
      org.hyperic.hq.autoinventory.CompositeRuntimeResourceReport

    public class CompositeRuntimeResourceReport

extends java.lang.Object

A CompositeRuntimeResourceReport is sent from an agent to the CAM server to report resources detected at runtime through monitoring capabilities. Resources detected in a runtime scan are automatically added to the appdef model, and do not require explicit approval the way that platforms and servers detected through regular autoinventory scans do.
A CompositeRuntimeResourceReport is essentially a Map. The keys in the map are Integers representing the serverIds of the servers that performed the runtime scan. The values are RuntimeResourceReport objects representing the platforms, servers, and services that were detected in the scan for that server.

Constructor Summary
`CompositeRuntimeResourceReport()`

Method Summary
`void` | `addServerReport(RuntimeResourceReport report)` Add a RuntimeResourceReport for the specified server.
`RuntimeResourceReport[]` | `getServerReports()`
`boolean` | `isSameReport(CompositeRuntimeResourceReport other)`
`void` | `setServerReports(RuntimeResourceReport[] serverReports)` This method will be used by AXIS in SOAP deserialization.
`java.lang.String` | `simpleSummary()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeRuntimeResourceReport

    public CompositeRuntimeResourceReport()

Method Detail

### getServerReports

    public RuntimeResourceReport[] getServerReports()

### setServerReports

    public void setServerReports(RuntimeResourceReport[] serverReports)

  This method will be used by AXIS in SOAP deserialization. Generally you do not want to call this method directly, instead use the addServerReport method.

### addServerReport

    public void addServerReport(RuntimeResourceReport report)

  Add a RuntimeResourceReport for the specified server. Any existing report for the server within this composite report will be overwritten.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isSameReport

    public boolean isSameReport(CompositeRuntimeResourceReport other)

### simpleSummary

    public java.lang.String simpleSummary()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.